Bug 209966 - --ignoremissing is ignored
--ignoremissing is ignored
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-09 00:02 EDT by Colin Coe
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-16 14:32:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Coe 2006-10-09 00:02:33 EDT
Description of problem:
In ks.cfg, --ignoremissing is ignored

Version-Release number of selected component (if applicable):
RHEL5 CLient BETA1

How reproducible:


Steps to Reproduce:
1. Expand installation tree onto hard disk
2. Remove 'cairo-java' packages as they are currently broken.
3. Point client at ks.cfg containing --ignoremissing and using install tree 
created above
4. attempt install
  
Actual results:
An error occurs saying package is missing, retry or abort.

Expected results:
Install should have progressed ignoring the missing packages

Additional info:
Comment 1 Jeremy Katz 2006-10-09 11:19:41 EDT
Did you regenerate the metadata for the repository?

--ignoremissing only says to ignore packages which are specified in %packages
which are not present in the tree metadata.
Comment 2 Colin Coe 2006-10-09 18:07:46 EDT
Ahh, my mistake.  I went looking for the anaconda docs and found that they still
referred to comps.xml not the yum .xml.gz files.  Where are the updated docs?
Comment 3 Chris Lumens 2007-03-16 14:32:31 EDT
I've updated the documentation that ships with anaconda on the HEAD CVS branch.
 This is the source for the documentation on the website.  I don't think they
pull updated documentation at any point during the update cycle, though.  I'll
close this one out as NEXTRELEASE for now.  If it's really critical, reopen and
we can reassign to the docs team to see what they think.

Note You need to log in before you can comment on or make changes to this bug.